Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.statistics
Interface CIBResourcePerfStats

All Superinterfaces:
  CIBPerfStats, CIBProvider, CIBStats, javax.management.j2ee.statistics.Stats

All Known Implementing Classes:
  CIBResourcePerfStatsImpl

public interface CIBResourcePerfStats
extends CIBPerfStats

Provides methods that should be implemented by a CIBResourcePerfStats provider providing performance data for a CIBResource

Field Summary

Fields inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`CIBStatsVersion`

Method Summary
`CIBValueStatistic` | `getFailedOperations()` Return a statistic object containing the number of failed operations
`CIBTimeStatistic` | `getOperationTime()` Return statistic object containing values regarding the Operation Time

Methods inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`fromCompositeData, toCompositeData`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Method Detail

### getOperationTime

    public CIBTimeStatistic getOperationTime()
                                      throws CIBIOException,
                                             CIBAttributeNotFoundException

  Return statistic object containing values regarding the Operation Time

  Returns:
    CIBTimeStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getFailedOperations

    public CIBValueStatistic getFailedOperations()
                                          throws CIBIOException,
                                                 CIBAttributeNotFoundException

  Return a statistic object containing the number of failed operations

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD